#
# CIP Core, generic profile
#
# Copyright (c) Siemens AG, 2021-2022
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: MIT
#

header:
  version: 12
  includes:
   - kas/opt/swupdate.yml

local_conf_header:
  ebg_swu_bootloader: |
    WKS_FILE ?= "${MACHINE}-efibootguard.wks.in"
    SWUPDATE_BOOTLOADER = "efibootguard"
    IMAGE_INSTALL_remove = "u-boot-script"
  ebg_swu_image_options: |
    CIP_IMAGE_OPTIONS_append = " efibootguard.inc image-uuid.inc"
  initramfs: |
    INITRAMFS_INSTALL_append = " initramfs-abrootfs-hook"
  firmware-binaries: |
    # Add ovmf binaries for qemu
    IMAGER_BUILD_DEPS_append_qemu-amd64 += "ovmf-binaries"
    # not needed for Debian 11 and later
    DISTRO_APT_SOURCES_append_qemu-amd64_buster = " conf/distro/debian-buster-backports.list"
    DISTRO_APT_PREFERENCES_append_qemu-amd64_buster = " conf/distro/preferences.ovmf-snakeoil.conf"
    # Add U-Boot for qemu
    IMAGER_BUILD_DEPS_append_qemu-arm64 += "u-boot-qemu-arm64"
    IMAGER_BUILD_DEPS_append_qemu-arm += "u-boot-qemu-arm"
